如何通过lsp编写一命令一键修改屏幕背景色
cad模型空间中,常规的绘图背景为黑色,有时需要将其调整为白色,如何用lsp实现绘图背景在黑色和白色之间一键切换?请赐教(defun c:666(/ col DISPLAY)
(setq DISPLAY (vla-get-display
(vla-get-preferences
(vla-get-application (vlax-get-acad-object))
)
)
)
(if (= (getenv "Background") "0") (setq col 255) (setq col 0))
(vla-put-graphicswinlayoutbackgrndcolor DISPLAY (vlax-make-variant
(+ col (* col 256)(* col 65536))
vlax-vblong
))
(vla-put-graphicswinmodelbackgrndcolor DISPLAY (vlax-make-variant
(+ col (* col 256)(* col 65536))
vlax-vblong
))
(princ)
) 谢谢江南大师~~~~ 注册 发表于 2020-7-21 09:52
谢谢江南大师~~~~
收个搬运费
yangchao2005090 发表于 2020-7-23 16:43
收个搬运费
一键切换模型或者布局的背景,黑白切换 终于找到我想要的了,感谢!
好程序,真方便,谢谢 太完美了,谢谢楼主 江南十笑 发表于 2020-7-21 08:52
(defun c:666(/ col DISPLAY)
(setq DISPLAY (vla-get-display
(vla-get-preferences
如果十字光标也跟着变就完美了 DLSPH 发表于 2020-12-11 17:03
如果十字光标也跟着变就完美了
(vla-put-ModelCrosshairColor
DISPLAY
(vlax-make-variant
(+ col (* col 256) (* col 65536))
vlax-vblong
)
)
把上面这段加在(princ)前。
页:
[1]
2